# Copyright 2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

MY_PN="tidal-hifi"
DESCRIPTION="Tidal Desktop App based on nodejs/electron"
HOMEPAGE="https://github.com/Mastermindzh/tidal-hifi"
SRC_URI="https://github.com/Mastermindzh/${MY_PN}/releases/download/${PV}/linux-unpacked.zip"

S="${WORKDIR}/linux-unpacked"

LICENSE=""
SLOT="0"
KEYWORDS="~amd64"

DEPEND="net-libs/nodejs"
RDEPEND="${DEPEND}"
BDEPEND="net-libs/nodejs[npm]"

NPM_FLAGS=(
	--color false
	--verbose
	--prefix "${S}"
)

src_install() {
	mkdir -p "${ED}/usr/lib"
	cp -r "${S}" "${ED}/usr/lib/${MY_PN}"
	cp "${FILESDIR}/tidal.png" "${ED}/usr/lib/${MY_PN}"
	mkdir -p "${ED}/usr/share/applications"
	cp "${FILESDIR}/tidal-hifi.desktop" "${ED}/usr/share/applications"
	dosym "/usr/lib/${MY_PN}/tidal-hifi" "/usr/bin/tidal-hifi"
}
